%define oname	Remmina

Name:		remmina
Version:	1.0.0
%define subrel	1
Release:	%mkrel 14
Summary:	GTK+ remote desktop client
Group:		Networking/Remote access
License:	GPLv2
URL:		http://remmina.sourceforge.net/
Source0:	https://github.com/downloads/FreeRDP/%{oname}/%{oname}-%{version}.tar.gz
# The following two patches will fix some linking errors
# https://github.com/FreeRDP/Remmina/commit/503a008e
Patch0:		remmina-1.0.0-cvs-fix-library-name.patch
# https://github.com/FreeRDP/Remmina/commit/13f20367
Patch1:		remmina-1.0.0-cvs-linker-error.patch
# The following 4 patches are needed to add clipboard support (RH #818155)
# https://github.com/FreeRDP/Remmina/commit/3ebdd6e7
Patch2:		remmina-1.0.0-cvs-add-clipboard-support.patch
# https://github.com/FreeRDP/Remmina/commit/97c2af8c
Patch3:		remmina-1.0.0-cvs-clipboard-bugfix.patch
# https://github.com/FreeRDP/Remmina/commit/84327f81
Patch4:		remmina-1.0.0-cvs-some-more-clipboard-fixes.patch
# https://github.com/FreeRDP/Remmina/commit/c1ef3a16
Patch5:		remmina-1.0.0-cvs-disconnect-signal-handler-after-disconnect.patch
# https://github.com/FreeRDP/Remmina/commit/6ee20289
Patch6:		remmina-1.0.0-cvs-fix-crashes-in-some-cases.patch
# https://github.com/FreeRDP/Remmina/commit/b2277827
Patch7:		remmina-1.0.0-fdr-fix-memory-leak.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=819976
Patch8:		remmina-1.0.0-fdr-dsofix.patch
# From OpenSUSE. All patches are backport from upstream.
# Thanks to Guido Berhoerster <gber at opensuse dot org>
Patch9:		remmina-1.0.0-suse-fix-desktop-file.patch
Patch10:	remmina-1.0.0-suse-fix-install-paths.patch
# https://bugs.mageia.org/attachment.cgi?id=5080
# Thanks to Davy Defaud <davy.defaud at free dot fr>
Patch11:	remmina-1.0.0-mga-update-french-translation.patch
# https://github.com/FreeRDP/Remmina/commit/58881d4d
Patch12:	remmina-1.0.0-remove-inline-libvncserver.patch
# From Mageia. Update desktop file adding a GenericName 
Patch13:	remmina-1.0.0-mga-genericname.patch
# https://github.com/FreeRDP/Remmina/commit/dab29806 (mga#18766)
Patch14:	remmina-1.0.0-fix-typo-in-preference-name-broke-key-mapping-in-VNC.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	jpeg-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(avahi-ui)
BuildRequires:	pkgconfig(avahi-ui-gtk3)
BuildRequires:	pkgconfig(libvncserver)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(vte)
BuildRequires:	pkgconfig(vte-2.90)
BuildRequires:	pkgconfig(zlib)

Obsoletes:	remmina-plugins < 1.0.0

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently RDP, VNC, XDMCP and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing plugins for
%{name}.

#----------------------------------------------------------------------------

%package	plugins-common
Summary:	Common files for Remmina Remote Desktop Client plugins
Group:		Networking/Remote access
Requires:	%{name} >= 0.9

%description	plugins-common
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains files shared among all plugins for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-gnome
Summary:	GNOME keyring integration for Remmina Remote Desktop Client
BuildRequires:	pkgconfig(gnome-keyring-1)
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	pkgconfig(gnome-keyring-1)

%description	plugins-gnome
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin with GNOME keyring support for the Remmina
remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-nx
Summary:	NX plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	nxproxy

%description	plugins-nx
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the NX plugin for the Remmina remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-rdp
Summary:	RDP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(freerdp)
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	freerdp

%description	plugins-rdp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Remote Desktop Protocol (RDP) plugin for the Remmina
remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-telepathy
Summary:	Telepathy plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(telepathy-glib)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-telepathy
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Telepathy plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-vnc
Summary:	VNC plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libvncserver)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the VNC plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-xdmcp
Summary:	XDMCP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	x11-server-xephyr

%description	plugins-xdmcp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the XDMCP plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%prep
%setup -qn FreeRDP-Remmina-356c033

%patch0 -p1 -b .fix-library-name
%patch1 -p1 -b .linker-error
%patch2 -p1 -b .add-clipboard-support
%patch3 -p1 -b .clipboard-bugfix
%patch4 -p1 -b .some-more-clipboard-fixes
%patch5 -p1 -b .disconnect-signal-handler
%patch6 -p1 -b .fix-crashes-in-some-cases
%patch7 -p1 -b .fix-memory-leak
%patch8 -p0 -b .dsofix
%patch9 -p1 -b .desktop-file
%patch10 -p1 -b .install-paths
%patch11 -p1 -b .update-french-translation
%patch12 -p1 -b .libvncserver
%patch13 -p1 -b .genericname
%patch14 -p1 -b .key-mapping

# david-david
# fix missing translations on desktop file available in ./remmina/po/ folder (mga#13085).
intltool-merge --desktop-style remmina/po \
	remmina/desktop/remmina.desktop.in remmina/desktop/remmina.desktop

%build
mkdir build
cd build
%__cmake \
		-DCMAKE_INSTALL_PREFIX=%{_prefix} \
		-DCMAKE_INSTALL_LIBDIR=%{_lib} \
		-DWITH_PTHREAD=ON \
		-DWITH_GCRYPT=ON \
		-DWITH_LIBSSH=ON \
		-DWITH_VTE=ON \
		-DWITH_GETTEXT=ON \
		-DWITH_FREERDP=ON \
		-DWITH_TELEPATHY=ON \
		-DWITH_ZLIB=ON \
		-DWITH_AVAHI=ON \
		-DWITH_APPINDICATOR=OFF \
		..
%make

%install
%makeinstall_std -C build

%find_lang %{name}
%find_lang %{name}-plugins

%files -f %{name}.lang
%doc remmina/{AUTHORS,ChangeLog,COPYING} README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*.svg
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/hicolor/*/actions/%{name}*.png
%{_iconsdir}/hicolor/*/emblems/%{name}*.png

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files plugins-common -f %{name}-plugins.lang
%doc remmina-plugins/{AUTHORS,COPYING}
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

%files plugins-gnome
%{_libdir}/%{name}/plugins/%{name}-plugins-gnome.so

%files plugins-nx
%{_libdir}/%{name}/plugins/%{name}-plugin-nx.so
%{_iconsdir}/hicolor/*/emblems/%{name}-nx.png

%files plugins-rdp
%{_libdir}/%{name}/plugins/%{name}-plugin-rdp.so
%{_iconsdir}/hicolor/*/emblems/%{name}-rdp-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-rdp.png

%files plugins-telepathy
%{_libdir}/%{name}/plugins/%{name}-plugin-telepathy.so

%files plugins-vnc
%{_libdir}/%{name}/plugins/%{name}-plugin-vnc.so
%{_iconsdir}/hicolor/*/emblems/%{name}-vnc-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-vnc.png

%files plugins-xdmcp
%{_libdir}/%{name}/plugins/%{name}-plugin-xdmcp.so
%{_iconsdir}/hicolor/*/emblems/%{name}-xdmcp-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-xdmcp.png


%changelog
* Sat Jun 25 2016 daviddavid <daviddavid> 1.0.0-14.1.mga5
+ Revision: 1037635
- add upstream patch to fix a typo in preference name broke key mapping in VNC (mga#18766)

* Sat Jan 10 2015 daviddavid <daviddavid> 1.0.0-14.mga5
+ Revision: 809747
- update desktop file adding GenericName

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-13.mga5
+ Revision: 743629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-12.mga5
+ Revision: 688653
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 daviddavid <daviddavid> 1.0.0-11.mga5
+ Revision: 668869
- rebuild with vte-2.90 as it is now back

* Tue Aug 19 2014 daviddavid <daviddavid> 1.0.0-10.mga5
+ Revision: 665752
- add upstream patch in order to remove the inline copy of libvncserver
  * https://github.com/FreeRDP/Remmina/commit/58881d4dd9129f56cb5ed9e56c54236be494d30a
- remove previous patch: CVE-2014-4607 in bundled minilzo (no longer needed)

* Tue Aug 19 2014 luigiwalser <luigiwalser> 1.0.0-9.mga5
+ Revision: 665681
- add patch from KDE to fix CVE-2014-4607 in bundled minilzo

* Sun Jun 08 2014 wally <wally> 1.0.0-8.mga5
+ Revision: 634757
- add patch to fix build with vte2.91

  + daviddavid <daviddavid>
    - rebuild for new vte

* Fri Mar 28 2014 daviddavid <daviddavid> 1.0.0-7.mga5
+ Revision: 609107
- add a Patch11 to improved French translation by Davy Defaud
 * https://bugs.mageia.org/attachment.cgi?id=5080
- fix setting options Categories on desktop file (to be sure it appears in all desktop environments)

* Mon Mar 24 2014 david-david <david-david> 1.0.0-6.mga5
+ Revision: 607866
- fix missing translations on desktop file, while is available upstream (mga#12950#c8)
- remove unneeded building of desktop file on Patch9
- update linkurl Source0 on "https://github.com/downloads/FreeRDP/Remmina"

  + bersuit <bersuit>
    -Add patch to fix "Missing desktop file" #mga12950
    -Move fix install path form spec to patch
    -Minor cosmetic changes

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 518081
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 380314
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 juancho <juancho> 1.0.0-2.mga3
+ Revision: 313657
+ rebuild (emptylog)

* Mon Oct 29 2012 juancho <juancho> 1.0.0-1.mga3
+ Revision: 311507
- Fixed RPM groups according to new policy.
- Added missing BR for avahi-ui-gtk3

  + bersuit <bersuit>
    - Update to new version 1.0.0
    - New Version: 1.0.0
    - padawan commit: New Version

* Thu Mar 03 2011 saispo <saispo> 0.9.3-1.mga1
+ Revision: 63369
- imported package remmina

